Subject: Re: bug#1158: 23.0.60; vc mode not working under newest Emacs.app

From: Glenn Morris <[email-masked]>
Date: Thu, 16 Oct 2008 13:59:55 -0400

neo lee wrote (on Thu, 16 Oct 2008 at 16:05 +0800):

> M-: (executable-find "svn") says:
> 
> "/usr/bin/svn"
> 
> Which is NOT the correct path of my svn. In my working MacBook Pro, the SVN
> from Leopard installation is in /usr/bin, but the working SVN installation
> is in /opt/local/bin/ (from MacPorts).
[...]

> Actually I do not know what the list-load-path-shadows exactly is, so I just
> list all I saw.

That bit turned out not to be relevant, so forget about it.

> But from all the information listed above, I guess the whole problem
> is something about the search path, and the key is the way Mac OS X
> launches GUI application from Finder (my PATH setting in .zshrc
> bypassed, which I consider as a common mistake, but I've never
> noticed).

Yes, that does indeed seem to be the problem, so I will close this bug
report.